# 
# Synthesis run script generated by Vivado
# 

set TIME_start [clock seconds] 
proc create_report { reportName command } {
  set status "."
  append status $reportName ".fail"
  if { [file exists $status] } {
    eval file delete [glob $status]
  }
  send_msg_id runtcl-4 info "Executing : $command"
  set retval [eval catch { $command } msg]
  if { $retval != 0 } {
    set fp [open $status w]
    close $fp
    send_msg_id runtcl-5 warning "$msg"
  }
}
set_param synth.incrementalSynthesisCache ./.Xil/Vivado-1145345-Doanh-Ngo/incrSyn
set_msg_config -id {Synth 8-256} -limit 10000
set_msg_config -id {Synth 8-638} -limit 10000
set_msg_config  -id {[Synth 8-3352]}  -new_severity {CRITICAL WARNING} 
set_msg_config  -id {[Shape Builder 18-119]}  -new_severity {WARNING} 
set_msg_config  -id {[Filemgmt 20-742]}  -new_severity {ERROR} 
set_msg_config  -id {[Synth 8-350]}  -new_severity {CRITICAL WARNING} 
set_msg_config  -id {[Synth 8-2490]}  -new_severity {WARNING} 
set_msg_config  -id {[Synth 8-2306]}  -new_severity {INFO} 
set_msg_config  -id {[Synth 8-3331]}  -new_severity {CRITICAL WARNING} 
set_msg_config  -id {[Synth 8-3332]}  -new_severity {INFO} 
set_msg_config  -id {[Synth 8-2715]}  -new_severity {ERROR} 
set_msg_config  -id {[Opt 31-35]}  -new_severity {INFO} 
set_msg_config  -id {[Opt 31-32]}  -new_severity {INFO} 
create_project -in_memory -part xc7a100tcsg324-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /home/doanh/Work/SNN_FPGA/FPGA/SNN/SNN.cache/wt [current_project]
set_property parent.project_path /home/doanh/Work/SNN_FPGA/FPGA/SNN/SNN.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
set_property board_part digilentinc.com:arty-a7-100:part0:1.1 [current_project]
set_property ip_cache_permissions {read write} [current_project]
set_property include_dirs /home/doanh/Work/SNN_FPGA/RTL [current_fileset]
read_verilog {
  /home/doanh/Work/SNN_FPGA/RTL/LIF.v
  /home/doanh/Work/SNN_FPGA/RTL/common.v
}
set_property file_type "Verilog Header" [get_files /home/doanh/Work/SNN_FPGA/RTL/LIF.v]
set_property file_type "Verilog Header" [get_files /home/doanh/Work/SNN_FPGA/RTL/common.v]
read_mem {
  /home/doanh/Work/SNN_FPGA/RTL/spike-2.mem
  /home/doanh/Work/SNN_FPGA/RTL/weights_l1.mem
  /home/doanh/Work/SNN_FPGA/RTL/weights_l2.mem
}
read_verilog -library xil_defaultlib {
  /home/doanh/Work/SNN_FPGA/RTL/LIF_neuron.v
  /home/doanh/Work/SNN_FPGA/RTL/SNN_Slave_If_v1_1_S00_AXI.v
  /home/doanh/Work/SNN_FPGA/RTL/SNN_wrapper.v
  /home/doanh/Work/SNN_FPGA/RTL/SNPC.v
  /home/doanh/Work/SNN_FPGA/RTL/SNPC_cntrl.v
  /home/doanh/Work/SNN_FPGA/RTL/SNPC_top.v
  /home/doanh/Work/SNN_FPGA/RTL/spike_rom.v
  /home/doanh/Work/SNN_FPGA/RTL/sram_sp_w8_b1024_freepdk45.v
  /home/doanh/Work/SNN_FPGA/RTL/transform_spike.v
  /home/doanh/Work/SNN_FPGA/RTL/weights_l1_rom.v
  /home/doanh/Work/SNN_FPGA/RTL/weights_l2_rom.v
  /home/doanh/Work/SNN_FPGA/RTL/xbar.v
  /home/doanh/Work/SNN_FPGA/RTL/SNN_top.v
}
# Mark all dcp files as not used in implementation to prevent them from being
# stitched into the results of this synthesis run. Any black boxes in the
# design are intentionally left as such for best results. Dcp files will be
# stitched into the design at a later time, either when this synthesis run is
# opened, or when it is stitched into a dependent implementation run.
foreach dcp [get_files -quiet -all -filter file_type=="Design\ Checkpoint"] {
  set_property used_in_implementation false $dcp
}
read_xdc -mode out_of_context /home/doanh/Work/SNN_FPGA/FPGA/SNN/constraints.xdc
set_property used_in_implementation false [get_files /home/doanh/Work/SNN_FPGA/FPGA/SNN/constraints.xdc]

set_param ips.enableIPCacheLiteLoad 1
close [open __synthesis_is_running__ w]

synth_design -top SNN_top -part xc7a100tcsg324-1 -directive AreaOptimized_high -control_set_opt_threshold 1 -mode out_of_context


# disable binary constraint mode for synth run checkpoints
set_param constraints.enableBinaryConstraints false
write_checkpoint -force -noxdef SNN_top.dcp
create_report "synth_1_synth_report_utilization_0" "report_utilization -file SNN_top_utilization_synth.rpt -pb SNN_top_utilization_synth.pb"
file delete __synthesis_is_running__
close [open __synthesis_is_complete__ w]
