#include <stdio.h>
#include "platform.h"
#include "xil_printf.h"
#include "xuartlite_l.h"

#define UARTLITE_BASEADDR XPAR_UARTLITE_0_BASEADDR

#define SNN_BASE_ADDRESS 0x44a00000
#define SNN_STATUS (SNN_BASE_ADDRESS)
#define SNN_SPIKEQ (SNN_BASE_ADDRESS + 0x04)
#define SNN_CONFIG (SNN_BASE_ADDRESS + 0x08)
#define SNN_NUMBER (SNN_BASE_ADDRESS + 0x0C)

static inline void reg_write32(uint32_t addr, uint32_t data) {
  volatile uint32_t * ptr = (volatile uint32_t *) addr;
  *ptr = data;
}

static inline uint32_t reg_read32(uint32_t addr) {
  volatile uint32_t * ptr = (volatile uint32_t *) addr;
  return *ptr;
}

int main()
{
    init_platform();

    print("Hello World\n\r");
    for (int i = 0; i < 40; i++) {
    	reg_write32(SNN_CONFIG, 0x1);
    	xil_printf("SPIKE loading . . . #%d\n", i);

    	for (int j = 0; j < 100000; j++) {
    		uint32_t temp = reg_read32(SNN_STATUS);
    		if (temp == 2) {
    			xil_printf("STATUS = %02X\n", temp);
    			break;
    		}
    	}
    }

    uint32_t result = reg_read32(SNN_NUMBER);
    xil_printf("RESULT REG = %08X\n", (uint32_t) result);
    xil_printf("CONFIG REG = %08X\n", (uint32_t) reg_read32(SNN_CONFIG));
    xil_printf("SPIKEQ REG = %08X\n", (uint32_t) reg_read32(SNN_SPIKEQ));
    xil_printf("STATUS REG = %08X\n", (uint32_t) reg_read32(SNN_STATUS));

    cleanup_platform();
    return 0;
}

