### DN-SoC: FPGA Implementation of Doanh Neuromorphic System-on-Chip 
FPGA Demonstration of a simple SNN with Arty A7 100T Dev-kit Board for MNIST Dataset

- Requirement: Xilinx Vivado 2019.1
- Introduction: This is a simple demo which supports only one spike image in one run. The spike image is pre-loaded into ROM with the hexa format. Referring to SNN_Stacking_Memory project to generate those spike images.

# How to Run

0. Generates spike images under hexa format. Examples are in 'DATA/'.
1. Generates SNN IP and packages it using Vivado. 
```
	$ source $(VIVADO_DIR)/2019.1/settings64.sh
	$ cd FPGA/SNN/
	$ make clean && make
	$ vivado SNN.xpr &
```
- SNN Structure: 3 Feed-Forward Layers ``[784 48 10]``
- Pre-trained Weights (ROM) (e.g.: ``/DATA/weights_l1.mem``, ``/DATA/weights_l2.mem``)
- 4 Memory-mapped Registers (R/W)
```
	STATUS_REG = $(OFFSET_ADDR) + 0x0
	SPIKEQ_REG = $(OFFSET_ADDR) + 0x4
	CONFIG_REG = $(OFFSET_ADDR) + 0x8
	RESULT_REG = $(OFFSET_ADDR) + 0xC
```
2. Generates SoC with SNN IP, UART Lite, and MicroBlaze Processor. SNN IP supports AXI Lite protocol. Example is in ``FPGA/SNN_UART_SoC``.
![alt text](IMAGES/Block_Design.png "Block Design of SNN SoC with UART display.")
- Baud Rate: 115200
- Clock Frequency: 50MHz
- Instruction Cache: 32kB
- Data Cache: 32kB
- System RAM: 128kB
- SNN IP Address: (``0x44Aa0_0000`` - ``0x44a0_FFFF``)
- UART Address: (``0x4060_0000`` - ``0x4060_FFFF``)
- Local Memory Address: (``0x0000_0000`` - ``0x0001_FFFF``)
3. Generates software to operate the generated HW platform. (e.g.: ``/FPGA/SNN_UART_SoC/SNN_UART_SoC.sdk/hello_world/src/helloworld.c``)
