module spike_rom
  (
   input clk,
   input rst_n,
   input i_start,
   output reg [783:0] spk_arry,
   output svalid
   );

   parameter SIZE = 40;
   reg [783:0] rom [SIZE-1:0];
   reg 	       enable;
   reg [9:0] counter_reg;
   integer     i;
   initial begin
      $readmemh("~/Work/FPGA_SNN/DATA/spike-2.mem", rom);
   end

   assign svalid = enable;

   always@(posedge clk, negedge rst_n) begin
      if (~rst_n) begin
	 enable <= 1'b0;
      end else begin
	 if (i_start) begin
	    enable <= 1'b1;
	 end else begin
	    enable <= 1'b0;
	 end
      end
   end

   always@(posedge clk, negedge rst_n) begin
      if (~rst_n) begin
        counter_reg <= 0;
	spk_arry <= 0;
      end else begin
	    if (i_start) begin
	      spk_arry <= rom[counter_reg];	  
	      if (counter_reg == SIZE - 1) begin
	        counter_reg <= 0;
	      end else begin
	        counter_reg <= counter_reg + 1;
	      end
	    end
      end
   end
endmodule
